Decision from raw signals
/ds
Analyzes raw numeric series (signals) and answers your question using the
candidate answers in options.
Use kind to choose the answer format: set (default, select all that apply),
choice (pick one), or boolean (yes/no).
Body Parameters
question: string
allow_abstain: optional boolean
domain: optional string
options: optional array of string
Candidate answers. Required for useful choice or set results.
state: optional string
think: optional boolean
Returns
Decision from raw signals
curl https://api.articul8.ai/bivia/ds \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $A8_API_KEY" \
-d '{
"question": "Which analysis method fits this signal?"
}'
{
"evidence": {
"spans": [
{
"end": 0,
"start": 0,
"text": "text"
}
]
},
"latency_ms": 0,
"mode": "fast",
"model": "dec-1",
"status": "answered",
"thought": true,
"type": "set",
"value": {},
"verification": {
"performed": true,
"result": "passed"
},
"abstain_reason": "low_confidence",
"billable_tokens": 0,
"document_notes": [
{
"document": "document",
"status": "included",
"chars": 0,
"reason": "reason",
"tokens": 0,
"truncated": true
}
],
"document_tokens": 0,
"image_tokens": 0,
"input_tokens": 0,
"probabilities": {
"foo": 0
},
"think_allowed": true
}Returns Examples
{
"evidence": {
"spans": [
{
"end": 0,
"start": 0,
"text": "text"
}
]
},
"latency_ms": 0,
"mode": "fast",
"model": "dec-1",
"status": "answered",
"thought": true,
"type": "set",
"value": {},
"verification": {
"performed": true,
"result": "passed"
},
"abstain_reason": "low_confidence",
"billable_tokens": 0,
"document_notes": [
{
"document": "document",
"status": "included",
"chars": 0,
"reason": "reason",
"tokens": 0,
"truncated": true
}
],
"document_tokens": 0,
"image_tokens": 0,
"input_tokens": 0,
"probabilities": {
"foo": 0
},
"think_allowed": true
}